Instalacja

The PCRE extension is a core PHP extension, so it is always enabled. By default, this extension is compiled using the bundled PCRE library. Alternatively, an external PCRE library can be used by passing in the --with-pcre-regex=DIR configuration option where DIR is the location of PCRE's include and library files. It is recommended to use PCRE 8.10 or newer for PHP 5.6 and 7.0.

As of PHP 7.0.0 PCRE's just-in-time compilation is supported by default, which can be disabled with the --without-pcre-jit configuration option as of PHP 7.0.12.

PHP w wersji dla systemów Windows posiada wbudowaną obsługę dla tego rozszerzenia. Nie trzeba ładować żadnych dodatkowych rozszerzeń, aby używać tych funkcji.

Informacja:

Before PHP 5.3.0, this extension could be disabled by passing in the --without-pcre-regex configuration option.

PCRE is an active project and as it changes so does the PHP functionality that relies upon it. It is possible that certain parts of the PHP documentation is outdated, in that it may not cover the newest features that PCRE provides. For a list of changes, see the » PCRE library changelog and also the following bundled PCRE history:

Upgrade history of the bundled PCRE library
PHP Wersja Updated PCRE Wersja Notes
7.3.0 10.32  
7.2.0 8.41  
7.0.3 / 5.6.18 / 5.5.32 8.38 See CVE-2015-8383, CVE-2015-8386, CVE-2015-8387, CVE-2015-8389, CVE-2015-8390, CVE-2015-8391, CVE-2015-8393, CVE-2015-8394
7.0.0 / 5.6.9 / 5.5.26 / 5.4.41 8.37 See CVE-2015-2325, CVE-2015-2326
5.6.0 / 5.5.10 8.34  
5.5.0 / 5.4.14 / 5.3.24 8.32  
5.4.9 / 5.3.19 8.31  
5.3.7 8.12  
5.3.6 8.11  
5.3.4 8.10  
5.3.3 / 5.2.14 8.02  
5.3.2 8.00  
5.3.0 / 5.2.13 7.9  
5.2.7 7.8  
5.2.6 7.6  
5.2.5 7.3  
5.2.4 7.2  
5.2.2 7.0  
5.2.0 6.7  
5.1.3 6.6  
5.1.0 6.2  
5.0.5 5.0  
5.0.0 4.5  

add a note add a note

User Contributed Notes 1 note

up
0
Lrinczy Zsigmond
2 years ago
From PHP version 7.3, 'pcre2' is used instead of 'pcre'. It is bundled with the PHP source, or a preinstalled pcre2 can be used if it was compiled with these configure-options:

--enable-shared --enable-unicode --enable-jit

If you want to use preinstalled pcre2 with PHP, use configure-options --with-pcre-dir=<path> and --with-pcre-regex=<path> (I don't know why there is two of them).
To Top